function main(...) {
    OpenWindow(640, 480, false);
    print("16x16:   " + test(Texture(Canvas(16,   16)),  5));
    print("32x32:   " + test(Texture(Canvas(32,   32)),  5));
    print("64x64:   " + test(Texture(Canvas(64,   64)),  5));
    print("128x128: " + test(Texture(Canvas(128,  128)), 5));
    print("256x256: " + test(Texture(Canvas(256,  256)), 5));
    print("512x512: " + test(Texture(Canvas(512,  512)), 5));
}

function test(image, iterations) {
    local results = array(iterations);
    for (local i = 0; i < iterations; i++) {
        local count = 0;
        local time = GetTicks() + 1000;
        while (GetTicks() < time) {
            DrawImage(image, 0, 0);
            count++;
        }
        results[i] = count;
    }
    local average = 0;
    for (local i = 0; i < iterations; i++) {
        average += results[i];
    }
    average /= iterations;
    return average;
}
